Subject: Re: [Roll] [roll] #157 (draft-doi-roll-mpl-parameter-configuration): mpl-parameter-configuration-00 - Effect of inconsistent parameter set among nodes

From: peter van der Stok <[email-masked]>
Date: Fri, 01 Aug 2014 10:13:11 +0200

> Depending on K, a difference in Imax can do more than just
> increase/reduce responsibility. It could actually lead to complete
> suppression.

Is it not better to consider the relation between K and the number of 
1-hop MPL neighbours?
Supposing M is the number of 1-hop neighbours of a node, one can reason 
about:
K > M, where no suppression occurs
K < M there is an increased probability of suppression that increases 
with increasing Imax

Greetings,

Peter

Philip Levis schreef op 2014-07-29 19:25:
> On May 26, 2014, at 2:01 AM, Yusuke DOI <[email-masked]> 
> wrote:
> 
>> Hi,
>> 
>> Thank you for summarizing issues on my draft.
>> On #157, my understanding is as follows. If there are any issues you 
>> know, please let me know.
>> 
>> Inconsistent but valid parameter does not harm the network much (it 
>> may harm battery-powered nodes).
> 
> Given the L in RPL/MPL includes the term "low power", harming
> battery-powered nodes is kind of important. It's easy to try to ignore
> them because they're so challenging, but I'd strongly recommend
> against it.
> 
>> 
>> Reason:
>> 
>> 1) If a node have smaller Imin/Imax, it takes more responsibility to 
>> repeat messages than surrounding nodes. The node will consume more 
>> power and the area will have higher traffic than expected until MPL 
>> parameters of the node is updated.
> 
> It's worth noting that transmission (in most link layers MPL/RPL care
> about) does not consume significantly more energy than reception.
> Therefore, one node that has a smaller Imin or Imax introduces an
> energy cost on *all* of the nodes around it.
> 
> A smaller Imin can double the latency of propagation over a single
> hop, as nodes, on receiving an update, receive multiple Trickle
> messages and so suppress for their first interval.
> 
> Depending on K, a difference in Imax can do more than just
> increase/reduce responsibility. It could actually lead to complete
> suppression. Consider the case where three nodes have Imax=t and one
> node has Imax=t+2 (so the actual time interval is 4 times greater).
> K<=3. The three nodes will almost always completely suppress the
> fourth node with the longer interval.
> 
>> 2) If a node have larger Imin/Imax, it takes less responsibility to 
>> send messages than surrounding nodes. As other nodes will send the 
>> message instead of the node with old parameters, effect for traffic 
>> load and e2e delay is negligible on dense mesh clusters. If the node 
>> with old parameters is on sparse area of a mesh network, larger 
>> Imin/Imax will cause larger e2e delay than new parameter's expectation 
>> untilthe node is updated.
> 
> You should disambiguate the effects of Imin and Imax.
> 
>> 3) If a node have smaller K, it takes less responsibility to repeat 
>> messages than surrounding nodes. On dense network, the effect is 
>> negligible. On sparse network, messages pass through the node will 
>> have less reliability until the node is updated.
> 
> It also introduces uneven transmission load. A node with a higher K
> will transmit with a much higher probability that those with the lower
> K (within the logarithmic bounds introduced by packet loss).
> 
> I'd suggest re-reading 6206 (Section 6), which goes into greater
> detail than the bullet points above and is much more specific.
> 
>> 4) If a node have larger K, it will repeat almost all the messages. 
>> The area will have excessive traffic untile the node is updated.
>> 
> 
> This is not true. Note that packet loss/imperfect duplicate
> suppression/uneven topologies often cause some nodes to receive more
> than K packets. Again, I'd suggest re-reading 6206.
> 
> Phil
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll